{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }

        .tdx{
            max-width: 400px;
            word-wrap: break-word;
            
        }
        .select2-container {
                z-index: 10000;
            }
        .select2-search__field {
                width: 100% !important;
            }
    </style>

{% endblock css %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Data Pertanian & Peternakan</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    <div class="d-flex">
        <div class="flex-fill"> 
            <a href="{% url 'profile:admin_pertanian_create' %}"> 
                <button type="button" class="btn btn-primary mt-2 mb-4"><i class="bi bi-plus"></i> Tambah Pertanian & Peternakan</button>
            </a>
        </div>
        <div class="flex-fill-right">
            <button type="button"  class="btn btn-danger mt-2 mb-4" data-toggle="modal" data-target="#arsip_datapu"><i class="bi bi-trash"></i> Data Pertanian & Peternakan</button>
        </div>
    </div>    
    
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between bg-gradient-primary text-white">
            <h6 class="m-0 font-weight-bold text-white"><i class="fa fa-list"></i> Data Pertanian & Peternakan</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped table-bordered dt-responsive" id="table-list">
                <thead class="bg-primary text-white">
                    <tr>
                        <th scope="col" class="text-center">No</th>
                        <th>Wilayah</th>
                        <th>Tanggal</th>
                        <th>Uraian Ternak</th>
                        <th>Uraian Kelompok Tani</th>
                        <th>Uraian Komoditas</th>
                        <th>Bukti</th>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item_pertanian in dt_pertanian %}
                        <tr>
                                <td>{{forloop.counter}}</td>
                                <td class="tdx">{{item_pertanian.kampung.distrik.title}}-{{item_pertanian.kampung.titles}} </td>
                                <td><span style="font-size: 12px;">{{item_pertanian.create_date}}</span></td>
                                <td>
                                    Jumlah Peternakan:
                                    <ul>
                                        <li>Jumlah Ternak Ayam :{{item_pertanian.jml_ayam}}</li>
                                        <li>Jumlah Ternak Babi :{{item_pertanian.jml_babi}}</li>
                                        <li>Jumlah Ternak Sapi :{{item_pertanian.jml_sapi}}</li>
                                        <li>Jumlah Ternak Kambing :{{item_pertanian.jml_kambing}}</li>
                                        <li>Jumlah Ternak Bebek :{{item_pertanian.jml_bebek}}</li>
                                        <li>Jumlah Ternak Kelinci :{{item_pertanian.jml_kelinci}}</li>
                                        <li>Luas Lahan  :{{item_pertanian.luas_lahan}}</li>
                                    </ul>
                                </td>
                                <td>Berikut Kelompok Tani :</td>
                                <td>Berikut Komoditi :</td>
                                <td>
                                    <img src="{{item_pertanian.foto.url}}" width="100">
                                </td>
                                <td>
                                    <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                        <a class="btn btn-primary btn-circle mr-3 mb-2" 
                                            href="{% url 'profile:admin_pertanian_create_data' item_pertanian.id %}"
                                            data-toggle="tooltip" data-placement="top" title="Edit">
                                            <i class="bi bi-eye"></i>
                                        </a>

                                        <button class="btn btn-success btn-circle mr-3 mb-2" data-toggle="modal" data-target="#editpertanian-{{item_pertanian.id}}"><span class="fa fa-edit"></span></button>
                                        <div class="modal fade " id="editpertanian-{{item_pertanian.id}}"  role="dialog" aria-labelledby="editpertanian-{{item_pertanian.id}}" aria-hidden="true">
                                            <div class="modal-dialog modal-xl" role="document">
                                                <div class="modal-content ">
                                                    <div class="modal-header bg-gradient-primary text-white">
                                                        <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Edit Data Pertanian</h5>
                                                        <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_pertanian_edit' item_pertanian.id %}">
                                                                {% csrf_token %}
                                                                <div class="row no-gutters align-items-center">
                                                                    <div class="col-md-5">  
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                               Wilayah
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="kampung" id="mySelect2" class="form-control list_wilayah select2" >
                                                                                <option value="">Kampung/Distrik</option>
                                                                                {% for data_kampung in datakampung_list %}
                                                                                    <option value="{{ data_kampung.id }}" {% if data_kampung.id == item_pertanian.kampung_id %}selected{% endif %}>
                                                                                        {{ data_kampung.distrik.title }}-{{ data_kampung.titles }}
                                                                                    </option>
                                                                                {% endfor %}    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-4">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Penanggungjawab
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="penanggungjawab" class="form-control" >
                                                                                <option value="">Pilih Penanggungjawab</option>
                                                                                {% for datajawab in penanggungjawab %}
                                                                                    <option value="{{datajawab.id}}" {% if datajawab.id == item_pertanian.penanggungjawab_id %}selected{% endif %}>{{datajawab.nama}}</option>
                                                                                {% endfor %}
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-3">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Tahun
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="tahun"  class="form-control" >
                                                                                <option value="{{item_pertanian.tahun}}" {% if tahun == item_pertanian.tahun %}selected{% endif %}>{{item_pertanian.tahun}}</option>
                                                                                <option value="">Pilih Tahun</option>
                                                                                <option value="2020">2020</option>    
                                                                                <option value="2021">2021</option>    
                                                                                <option value="2022">2022</option>    
                                                                                <option value="2023">2023</option>    
                                                                                <option value="2024">2024</option>    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <hr>
                                                                <div class="row" style="padding-top: 20px;">
                                                                    <div class="col-md-4">
                                                                        <label for="jenis_usaha" style="padding-left: 150px;">Jumlah Ternak Ayam</label>
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <input type="number"  placeholder=""
                                                                            class="form-control"
                                                                            name="jml_ayam" value="{{item_pertanian.jml_ayam}}"
                                                                            >
                                                                    </div>
                                                                    <div class="col-md-4">
                                                                        <label for="jenis_usaha" style="padding-left: 150px;">Jumlah Ternak Babi</label>
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <input type="text"  placeholder=""
                                                                            class="form-control"
                                                                            name="jml_babi" value="{{item_pertanian.jml_babi}}"
                                                                            >
                                                                    </div>
                                                                </div>
                                                                <div class="row">
                                                                    <div class="col-md-4">
                                                                        <label for="jenis_usaha" style="padding-left: 150px;">Jumlah Ternak Sapi</label>
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <input type="text"  placeholder=""
                                                                            class="form-control"
                                                                            name="jml_sapi" value="{{item_pertanian.jml_sapi}}"
                                                                            >
                                                                    </div>
                                                                    <div class="col-md-4">
                                                                        <label for="jenis_usaha" style="padding-left: 150px;">Jumlah Ternak Kambing</label>
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <input type="text"  placeholder=""
                                                                            class="form-control"
                                                                            name="jml_kambing" value="{{item_pertanian.jml_kambing}}"
                                                                            >
                                                                    </div>
                                                                </div>
                                                                
                                                                <div class="row">
                                                                    <div class="col-md-4">
                                                                        <label for="jenis_usaha" style="padding-left: 150px;">Jumlah Ternak Bebek</label>
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <input type="text"  placeholder=""
                                                                            class="form-control"
                                                                            name="jml_bebek" value="{{item_pertanian.jml_bebek}}"
                                                                            >
                                                                    </div>
                                                                    <div class="col-md-4">
                                                                        <label for="jenis_usaha" style="padding-left: 150px;">Jumlah Ternak Kelinci</label>
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <input type="text"  placeholder=""
                                                                            class="form-control"
                                                                            name="jml_kelinci" value="{{item_pertanian.jml_kelinci}}"
                                                                            >
                                                                    </div>
                                                                 
                                                                </div>
                                                                <div class="row">
                                                                    <div class="col-md-4">
                                                                        <label for="jenis_usaha" style="padding-left: 150px;">Luas Lahan Peternakan</label>
                                                                    </div>
                                                                    <div class="form-group col-md-2">
                                                                        <input type="text"  placeholder=""
                                                                            class="form-control"
                                                                            name="luas_lahan" value="{{item_pertanian.luas_lahan}}"
                                                                            >
                                                                    </div>
                                                                </div>
                                                              
                                                               
                                                            <div class="modal-footer">
                                                                <button class="btn btn-primary" type="submit"><i class="fa fa-pencil"></i> Ubah</button>
                                                                <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_('soft_delete', `{{ item_pertanian.kampung.titles}}`, '{{ item_pertanian.id }}')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                            <i class="bi bi-archive"></i>
                                        </a>
                                    </div>
                                </td>
                        </tr>
                   {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

    {% include 'profile/admin/pertanian/arsip.html' %}
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            $('#table-archive').DataTable();
           
        });
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/pertanian/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Distrik berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/pertanian/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Distrik gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} data ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/pertanian/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Data Diarsipkan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/pertanian/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data Diarsipkan gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}